// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface OrderBookRungDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.OrderBookRungDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 1;</code>
   */
  boolean hasRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 1;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 1;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getRateOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto market_size_notional = 2;</code>
   */
  boolean hasMarketSizeNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto market_size_notional = 2;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getMarketSizeNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto market_size_notional = 2;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getMarketSizeNotionalOrBuilder();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.OrderBookRungDto.OrderBookRungTypeDto type = 3;</code>
   */
  int getTypeValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.OrderBookRungDto.OrderBookRungTypeDto type = 3;</code>
   */
  com.accelfin.server.demo.fx.dtos.OrderBookRungDto.OrderBookRungTypeDto getType();
}
